Skip to content
MOTOVIZION Docs

Request Video Conversion

Requesting an AI enhanced video conversion is a simple post request, allowing ease of use in your current workflow.

Endpoint

https://api.example.com/video/

HTTP Method:

POST

Content-Type:

application/json

Request Body:

ParameterTypeRequiredDescription
appointment_uuidStringYesThe unique identifier for the appointment.
video_urlStringYesRaw video URL in .mp4 format
translate_toStringNoLanguage to output video in.
voiceStringNoVoice selection
typeStringNoAllows you to remove background noise, or enhance with AI
Terminal window
curl -X POST https://api.example.com/video/ \
-H "Content-Type: application/json" \
-H "X-API-Key: {API Key}" \
-d '{
"appointment_uuid": "{Appointment ID}",
"video_url": "https://yoursite.com/video.mp4",
"translate_to": "spanish",
"voice": "Billy Bob",
"type": ""
}'

The type field is optional: leave it blank for full AI enhancement, or set it to noise to only remove background noise.

If your API key is missing or invalid, the server will respond with an error

{
"status": "error",
"response": "Invalid API Key"
}
{
"status": "error",
"response": "Unauthorized"
}
import requests
import json
# API endpoint
url = 'https://api.example.com/video/'
# Input data
video_url = 'https://example.com/video.mp4'
translate_to = 'spanish' # Change to 'none' if no translation is required
voice = 'Billy Bob'
appointment_uuid = ''
# Set API key
api_key = ''
# Prepare the data to send
data = {
'appointment_uuid': appointment_uuid,
'video_url': video_url,
'translate_to': translate_to,
'voice': voice
}
# Set headers
headers = {
'Content-Type': 'application/json',
'X-API-Key': api_key,
'Accept': 'application/json'
}
try:
# Make the POST request
response = requests.post(url, data=json.dumps(data), headers=headers)
# Check for HTTP errors
response.raise_for_status()
# Parse the JSON response
response_data = response.json()
print("Response:", json.dumps(response_data, indent=4))
except requests.exceptions.RequestException as e:
# Handle any errors that occur during the request
print("Error:", e)

When you send a valid request to the Motovizion AI API, the response contains structured JSON data. Below is a detailed explanation of the fields included in the response.

{
"status": "success",
"cleaned_transcription": "Walking around a 2020 Jeep Grand Cherokee Laredo, the tires look good, the air filter did need to be replaced, plugs and wires looked good. Overall it was satisfactory service.",
"final_video_path": "https://api.example.com/video/complete/video.mp4",
"video_no_audio_path": "https://api.example.com/video/raw/video.mp4"
}

Top-Level Fields:

Field NameTypeDesciption
statusStringIndicates the success ("success") or failure ("error") of the request.
Field NameTypeDescription
cleaned_transcriptionStringThe full transcription of enhanced video.
final_video_pathStringThe final video path for use in application.
video_no_audio_pathStringVideo path with no audio, used to make transcription edits.
HTTP Status CodeDescription
400Missing required fields (e.g., appointment_uuid).
401Invalid or missing API key.
500Server error